From a788a25214fb523bb71014877fceb627a89b552e Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: May 04 2017 22:05:20 +0000
Subject: [PATCH 833/1001] Minor refactoring


---

diff --git a/hubs/tests/__init__.py b/hubs/tests/__init__.py
index afe1f2f..2630d8c 100644
--- a/hubs/tests/__init__.py
+++ b/hubs/tests/__init__.py
@@ -26,9 +26,10 @@ import hubs.models  # noqa: E402
 
 
 class APPTest(unittest.TestCase):
+
     def setUp(self):
-        filename = os.path.join(cassette_dir, self.id())
-        self.vcr = vcr.use_cassette(filename, record_mode='new_episodes')
+        vcr_filename = os.path.join(cassette_dir, self.id())
+        self.vcr = vcr.use_cassette(vcr_filename, record_mode='new_episodes')
         self.vcr.__enter__()
 
         hubs.app.session = hubs.models.init(
@@ -36,26 +37,28 @@ class APPTest(unittest.TestCase):
             create=True,
         )
         hubs.app.app.config['TESTING'] = True
+
         self.app = hubs.app.app.test_client()
         self.app.testing = True
         self.session = hubs.app.session
+
         self.populate()
 
     def tearDown(self):
-        self.vcr.__exit__()
         self.session.remove()
+        self.vcr.__exit__()
 
     def populate(self):
         for user in ['devyani7', 'dhrish', 'shalini', 'ralph', 'decause']:
             fullname = user.title()
             hubs.models.User.get_or_create(
-                hubs.app.session, username=user, fullname=fullname)
+                self.session, username=user, fullname=fullname)
             saved_notif = hubs.models.SavedNotification(
                 username=user, markup='foo', link='bar'
             )
-            hubs.app.session.add(saved_notif)
+            self.session.add(saved_notif)
 
-        hubs.app.session.flush()
+        self.session.flush()
 
         hub = hubs.models.Hub.by_name('ralph')
         widget = hubs.models.Widget(
@@ -71,13 +74,13 @@ class APPTest(unittest.TestCase):
                 hub.last_refreshed = datetime.utcnow() - timedelta(days=100)
                 hub.last_updated = datetime.utcnow() - timedelta(days=200)
 
-            hubs.app.session.add(hub)
-            hubs.app.session.add(
+            self.session.add(hub)
+            self.session.add(
                 hubs.models.HubConfig(hub=hub, summary="the %s team" % team))
             widget = hubs.models.Widget(plugin='meetings', index=11,
                                         _config=json.dumps({'calendar': team}))
             hub.widgets.append(widget)
-        hubs.app.session.commit()
+        self.session.commit()
 
     # TODO - test that it is in the registry
     # TODO - test that it has all the things it needs
